#
# spec file for package openssh-askpass-gnome
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           openssh-askpass-gnome
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gtk2-devel
BuildRequires:  krb5-devel
BuildRequires:  openssh
BuildRequires:  openssl-devel
BuildRequires:  pam-devel
BuildRequires:  tcpd-devel
BuildRequires:  update-desktop-files
Version:        6.1p1
Release:        0
Requires:       openssh = %{version}
Summary:        A GNOME-Based Passphrase Dialog for OpenSSH
License:        BSD-3-Clause
Group:          Productivity/Networking/SSH
Url:            http://www.openssh.com/
%define _name openssh
Source:         ftp://ftp.openbsd.org/pub/OpenBSD/OpenSSH/portable/openssh-%{version}.tar.gz
Patch:          %{_name}-5.9p1-sshd_config.diff
Patch1:         %{_name}-5.9p1-pam-fix2.diff
Patch2:         %{_name}-5.9p1-saveargv-fix.diff
Patch3:         %{_name}-5.9p1-pam-fix3.diff
Patch4:         %{_name}-5.9p1-gssapimitm.patch
Patch5:         %{_name}-5.9p1-eal3.diff
Patch6:         %{_name}-5.9p1-engines.diff
Patch7:         %{_name}-5.9p1-blocksigalrm.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
SSH (Secure Shell) is a program for logging into a remote machine and
for executing commands on a remote machine. This package contains a
GNOME-based passphrase dialog for OpenSSH.

%prep
%setup -q -n %{_name}-%{version}
%patch 
%patch1
%patch2
%patch3
%patch4
%patch5 -p1
%patch6 -p1
%patch7

%build
aclocal
autoheader
autoconf
%configure \
	--sysconfdir=%{_sysconfdir}/ssh \
	--libexecdir=%{_libexecdir}/ssh \
	--with-tcp-wrappers \
	--with-pam \
	--with-kerberos5=/usr \
	--with-privsep-path=/var/lib/empty \
	--disable-strip \
        --target=%{_target_cpu}-suse-linux
cd contrib
make %{?_smp_mflags} gnome-ssh-askpass2
mv gnome-ssh-askpass2 gnome-ssh-askpass

%install
install -d -m 755 %{buildroot}%{_libexecdir}/ssh/
install contrib/gnome-ssh-askpass %{buildroot}%{_libexecdir}/ssh/gnome-ssh-askpass

%files
%defattr(-,root,root)
%dir %{_libexecdir}/ssh
%attr(0755,root,root) %{_libexecdir}/ssh/gnome-ssh-askpass

%changelog
